using Contracts.DTO;
using Infrastructure.Models;
using Microsoft.EntityFrameworkCore;

namespace Infrastructure;

public class DatabaseContext : DbContext
{
    public DatabaseContext(DbContextOptions<DatabaseContext> options)
        : base(options)
    {
    }

    public DbSet<User> Users { get; set; } = null!;
    public DbSet<SpendingGroup> SpendingGroups { get; set; } = null!; 
    public DbSet<ChangeRecord> ChangeRecords { get; set; } = null!;
}