using Contracts.DTO;

namespace Infrastructure.Models;

public class ChangeRecord
{
    public Guid Id { get; set; }
    public decimal Sum { get; set; }
    public DateTime ChangedAt { get; set; }
    
    public Guid UserId { get; set; }
    public User User { get; set; } = null!;
    
    public Guid SpendingGroupId { get; set; }
    public SpendingGroup? SpendingGroup { get; set; }

    public void Update(ChangeRecordDto changeRecordDto)
    {
        Id = changeRecordDto.Id;
        Sum = changeRecordDto.Sum;
        ChangedAt = changeRecordDto.ChangedAt;
        SpendingGroupId = changeRecordDto.SpendingGroupId;
    }
}